# ICMP_Socket Class Reference

An abstract class that forms the basis for usage of the ICMP protocol (that is, support for things such as ping). More...

`#include <ICMP_Socket.h>`

## Detailed Description

An abstract class that forms the basis for usage of the ICMP protocol (that is, support for things such as ping).

The documentation for this class was generated from the following file:

- ICMP_Socket.h